# 66. Mutation: Fieldを保存

既存の「Field」を新しい境界および/または名前で修正するためのミューテーション。&#x20;

{% hint style="info" %}
既存の「Field」の境界を編集するには、次を使用します `registerField` ミューテーション。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveFieldSample {
  saveField(
    input: { 
      uuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
    	 name: "Field_name" 
    }
  ) {
    uuid
    farmUuid
    名前
    boundaryUrl
    topographyMaps {
      uuid
      fieldUuid
      status
      geoMaps {
        shortName
        url
        hexColorCodes
        classes
      }
    }
    labels {
      名前
      value
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/66-mutation-fieldwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
